Bug 13725 - vfs_fruit (and vfs_streams_xattr) need to implement close VFS call
vfs_fruit (and vfs_streams_xattr) need to implement close VFS call
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-19 15:14 UTC by Guenther Deschner
Modified: 2019-01-18 10:31 UTC (History)
3 users (show)

See Also:


Attachments
patch from master for 4.9 and 4.8 (5.36 KB, patch)
2019-01-11 11:05 UTC, Guenther Deschner
gd: review? (jra)
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2018-12-19 15:14:18 UTC
When fruit (and its dependent module streams_xattr) are used in conjunction with a VFS module to provide access to a remote clustered filesystem such as glusterfs it needs to implement the close function VFS call. Currently it always assumes that filehandles opened by fruit or streams_xattr can be closed via the close implementation of the default VFS module.
Comment 1 Jeremy Allison 2018-12-19 17:00:42 UTC
FYI, vfs_fruit still makes some direct syscalls inside. Eventually we'll have to work out how these can be stacked before it'll work correctly over gluster/ceph.
Comment 2 Guenther Deschner 2019-01-11 11:05:48 UTC
Created attachment 14765 [details]
patch from master for 4.9 and 4.8
Comment 3 Ralph Böhme 2019-01-11 15:57:16 UTC
Reassigning to Karolin for inclusion in 4.8 and 4.9.
Comment 4 Karolin Seeger 2019-01-14 09:20:10 UTC
Pushed to autobuild-v4-{9,8}-test.
Comment 5 Karolin Seeger 2019-01-18 10:31:52 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!